# PresentationEntity class Null safety

## Constructors

PresentationEntity({required String? appId, String? description, List<BodyComponentEntity>? bodyComponents, String? imageId, int? imagePositionRelative, int? imageAlignment, double? imageWidth, StorageConditionsEntity? conditions})

## Properties

appId → String?
  final
bodyComponents → List<BodyComponentEntity>?
  final
conditions → StorageConditionsEntity?
  final
description → String?
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
imageAlignment → int?
  final
imageId → String?
  final
imagePositionRelative → int?
  final
imageWidth → double?
  final
props → List<Object?>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

copyWith({String? documentID, String? appId, String? description, List<BodyComponentEntity>? bodyComponents, String? imageId, int? imagePositionRelative, int? imageAlignment, double? imageWidth, StorageConditionsEntity? conditions}) → PresentationEntity
enrichedDocument(Map<String, Object?> theDocument) → dynamic
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
switchAppId({required String newAppId}) → PresentationEntity
  override
toDocument() → Map<String, Object?>
  override
toJsonString() → String
toString() → String
  A string representation of this object. [...]
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromJsonString(String json, {Map<String, String>? newDocumentIds}) → PresentationEntity?
fromMap(Object? o, {Map<String, String>? newDocumentIds}) → PresentationEntity?